Subject: Re: [RFC] Questions for "Git User's Survey 2011"

From: Jakub Narebski <[email-masked]>
Date: Sat, 3 Sep 2011 17:38:11 +0200

On Sat, 3 Sep 2011, Felipe Contreras wrote:
> 2011/7/25 Jakub Narebski <[email-masked]>:

> > I am planning doing annual Git User's Survey, and I'd like to ask for
> > feedback.
> 
> Do you have an updated version somewhere?

You can preview test version of survey at

  https://www.survs.com/survey/VEBXFGJ9B0

Note that all answers in this test channel will be deleted!

Up to date version was sent to git mailing list as

  [RFCv2] Questions for "Git User's Survey 2011"
  http://article.gmane.org/gmane.comp.version-control.git/180643

and can be found on Git Wiki:

  http://git.wiki.kernel.org/index.php/GitSurvey2011

P.S. If I remember correctly you wanted some question about "staging area"
terminology, or something like that.  Do you have concrete proposal for
question and list of answers?

I was thinking about

  xx. How do you include changes in new commit?
  (multiple choice, with other)

  [ ] commit -a
  [ ] commit <file>
  [ ] commit -i <file>
  [ ] git add
  [ ] git stage
  [ ] git update-index
  [ ] incremental add / commit
  [ ] other, please specify __________________________

(it is not in current version of survey, but can be added before it starts
for real)... though it is only small subset of "stage" vs "the index"
terminology.  If you have something better...

-- 
Jakub Narebski
Poland